#
#
# qmake configuration for hpux-g++-64
#
# We define _POSIX_C_SOURCE to 199506L when using threads,
# therefore we also need to redefine _HPUX_SOURCE.
#

MAKEFILE_GENERATOR	= UNIX
TEMPLATE		= app
CONFIG			+= qt warn_on release link_prl

TQMAKE_CC		= gcc
TQMAKE_LEX		= flex
TQMAKE_LEXFLAGS		= 
TQMAKE_YACC		= yacc
TQMAKE_YACCFLAGS		= -d
TQMAKE_CFLAGS		=
TQMAKE_CFLAGS_DEPS	= -M
TQMAKE_CFLAGS_WARN_ON	= -Wall -W
TQMAKE_CFLAGS_WARN_OFF	= -w
TQMAKE_CFLAGS_RELEASE	= -O2
TQMAKE_CFLAGS_DEBUG	= -g
TQMAKE_CFLAGS_SHLIB	= -fPIC
TQMAKE_CFLAGS_YACC	= -Wno-unused -Wno-parentheses
TQMAKE_CFLAGS_THREAD	= -D_POSIX_C_SOURCE=199506L -D_HPUX_SOURCE

TQMAKE_CXX		= g++
TQMAKE_CXXFLAGS		= $$TQMAKE_CFLAGS -D_HPUX_SOURCE
TQMAKE_CXXFLAGS_DEPS	= $$TQMAKE_CFLAGS_DEPS
TQMAKE_CXXFLAGS_WARN_ON	= $$TQMAKE_CFLAGS_WARN_ON
TQMAKE_CXXFLAGS_WARN_OFF	= $$TQMAKE_CFLAGS_WARN_OFF
TQMAKE_CXXFLAGS_RELEASE	= $$TQMAKE_CFLAGS_RELEASE
TQMAKE_CXXFLAGS_DEBUG	= $$TQMAKE_CFLAGS_DEBUG
TQMAKE_CXXFLAGS_SHLIB	= $$TQMAKE_CFLAGS_SHLIB
TQMAKE_CXXFLAGS_YACC	= $$TQMAKE_CFLAGS_YACC
TQMAKE_CXXFLAGS_THREAD	= $$TQMAKE_CFLAGS_THREAD

TQMAKE_INCDIR		=
TQMAKE_LIBDIR		=
TQMAKE_INCDIR_X11	= /usr/include/X11R6
TQMAKE_LIBDIR_X11	= /usr/lib/X11R6/pa20_64
TQMAKE_INCDIR_QT		= $(TQTDIR)/include
TQMAKE_LIBDIR_QT		= $(TQTDIR)/lib
TQMAKE_INCDIR_OPENGL	= /opt/Mesa/include /usr/contrib/X11R6/include
TQMAKE_LIBDIR_OPENGL	= /opt/Mesa/lib/pa20_64 /usr/contrib/X11R6/lib/pa20_64

TQMAKE_LINK		= g++
TQMAKE_LINK_SHLIB	= g++
TQMAKE_LFLAGS		= -Wl,+s
TQMAKE_LFLAGS_RELEASE	=
TQMAKE_LFLAGS_DEBUG	=
TQMAKE_LFLAGS_SHLIB	= -fPIC -shared
TQMAKE_LFLAGS_PLUGIN	= $$TQMAKE_LFLAGS_SHLIB
TQMAKE_LFLAGS_SONAME	= -Wl,+h,
TQMAKE_LFLAGS_THREAD	=
TQMAKE_RPATH		= -Wl,+b,
TQMAKE_HPUX_SHLIB	= 3
TQMAKE_EXTENSION_SHLIB	= sl

TQMAKE_LIBS		= -lm
TQMAKE_LIBS_DYNLOAD	= -ldl
TQMAKE_LIBS_X11		= -lXext -lX11
TQMAKE_LIBS_X11SM	= -lSM -lICE
TQMAKE_LIBS_QT		= -lqt
TQMAKE_LIBS_OPENGL	= -lGLU -lGL -lXmu
TQMAKE_LIBS_OPENGL_QT	= -lGL -lXmu
TQMAKE_LIBS_THREAD	= -lpthread
TQMAKE_LIBS_YACC		= -ly

TQMAKE_TQMOC		= $(TQTDIR)/bin/tqmoc
TQMAKE_UIC		= $(TQTDIR)/bin/uic

TQMAKE_AR		= ar cqs
TQMAKE_RANLIB		=

TQMAKE_TAR		= tar -cf
TQMAKE_GZIP		= gzip -9f

TQMAKE_COPY		= cp -f
TQMAKE_MOVE		= mv -f
TQMAKE_DEL_FILE		= rm -f
TQMAKE_DEL_DIR		= rmdir
TQMAKE_CHK_DIR_EXISTS	= test -d
TQMAKE_MKDIR		= mkdir -p
